Package be.fgov.ehealth.rn.personservice.protocol.v1

# Class SearchPersonPhoneticallyResponse

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.ResponseType
be.fgov.ehealth.commons.protocol.v2.StatusResponseType
be.fgov.ehealth.rn.personservice.protocol.v1.SearchPersonPhoneticallyResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class SearchPersonPhoneticallyResponse extends StatusResponseType implements Serializable
SearchPersonPhonetically response type

Java class for SearchPersonPhoneticallyResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SearchPersonPhoneticallyResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
           <sequence>
             <element name="Result" type="{urn:be:fgov:ehealth:rn:personservice:core:v1}PersonResponseResultsType" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchPersonPhoneticallyResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PersonResponseResultsType`
  `getResult()`
  Gets the value of the result property.
  `void`
  `setResult(PersonResponseResultsType value)`
  Sets the value of the result property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

  `getStatus, setStatus`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

  `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SearchPersonPhoneticallyResponse

    public SearchPersonPhoneticallyResponse()

- ## Method Details

  - ### getResult

    public PersonResponseResultsType getResult()
    Gets the value of the result property.
    Returns:
      possible object is `PersonResponseResultsType`

  - ### setResult

    public void setResult(PersonResponseResultsType value)
    Sets the value of the result property.
    Parameters:
      `value` - allowed object is `PersonResponseResultsType`